Seedream 5.0 Pro Layer Decomposition API Integration
Seedream 5.0 Pro Layer Decomposition کو Rivya Public API v1 کے ذریعے model id seedream-5-pro-layer-decomposition، supported inputs، parameters، Files API rules، credits اور response examples کے ساتھ استعمال کریں۔
seedream-5-pro-layer-decomposition
file
Reference modes کے لیے required
per_image · 1K=7 · 1.5K=7 · 2K=14 · auto_reserve=14 · ⌈total⌉
تصویر
FIXED
5000 characters
Request contract
model id کو top level پر بھیجیں۔ Model-specific controls params میں رہتے ہیں۔
| Key | Type | Required | Default | Description |
|---|---|---|---|---|
| model | string | Yes | seedream-5-pro-layer-decomposition | seedream-5-pro-layer-decomposition API model id استعمال کریں۔ |
| prompt | string | No | - | اس model کے لیے زیادہ سے زیادہ 5000 characters۔ |
| params | object | No | - | Model-specific parameter object۔ allowed keys کے لیے نیچے والی rows استعمال کریں۔ |
| client_request_id | string | No | - | آپ کے system میں requests trace کرنے کے لیے optional client-side id۔ |
Model parameters
| Key | Type | Required | Default | Range | Options | Description |
|---|---|---|---|---|---|---|
| size | select | No | auto | - | auto, 1K, 1.5K, 2K | آؤٹ پٹ سائز |
| output_format | select | No | jpeg | - | jpeg, png | یہ setting base image کو کنٹرول کرتی ہے۔ الگ تہیں PNG files کے طور پر واپس آتی ہیں۔ |
Upload policy
Reference files پہلے upload کریں، پھر returned URL اور duration token کو params.referenceMediaItems کے اندر رکھیں۔
اصل تصویر: بالکل 1 PNG، JPEG، WebP، BMP، TIFF یا GIF تصویر upload کریں جس کا حجم 30 MB تک ہو؛ HEIC اور HEIF معاون نہیں ہیں۔
1
image
duration verification required ہو تو video اور audio references کو /api/v1/files سے durationToken ساتھ رکھنا چاہیے۔
| kind | Max size | MIME types |
|---|---|---|
| image | 30 MB | image/jpeg, image/png, image/webp, image/bmp, image/gif, image/tiff |
Minimal request
{
"model": "seedream-5-pro-layer-decomposition",
"params": {
"size": "auto",
"output_format": "jpeg"
}
}Reference-file request
{
"model": "seedream-5-pro-layer-decomposition",
"params": {
"size": "auto",
"output_format": "jpeg",
"referenceMediaItems": [
{
"url": "https://cdn.example.com/reference-image.png",
"kind": "image",
"name": "reference-image.png",
"mimeType": "image/png",
"width": 1024,
"height": 1024,
"sizeBytes": 1048576,
"imageDimensionsToken": "image_dimensions_token_from_original_files_api_upload_response"
}
]
}
}Create response
create endpoint ایک public task id واپس کرتا ہے۔ task succeeded یا failed ہونے تک status endpoint poll کریں۔
{
"id": "task_seedream_5_pro_layer_decomposition_example",
"status": "queued",
"model": "seedream-5-pro-layer-decomposition",
"reserved_credits": 7,
"final_credits": 0,
"settlement_status": "RESERVED",
"created_at": "2026-05-11T00:00:00.000Z",
"updated_at": "2026-05-11T00:00:00.000Z",
"result": null,
"error": null
}Common errors
validation_failed, insufficient_credits, idempotency_conflict, rate_limited, not_found
کچھ modes کو Files API reference uploads درکار ہوتے ہیں۔